FF 4.0 - PLEASE Rated 5 out of 5 stars

I love the app - but its incompatible with FF 4

Please UPDATE, Thanks.

why on earth didn't Mozilla include this in the new buttons for FF4 ?????

This user has other reviews of this add-on.